## ros-noetic-costmap-cspace-rviz-plugins 0.11.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(costmap_cspace_rviz_plugins)

set(PACKAGE_DEPENDS
  roscpp
  rviz
  costmap_cspace_msgs
)

find_package(catkin REQUIRED COMPONENTS ${PACKAGE_DEPENDS})

catkin_package(CATKIN_DEPENDS ${PACKAGE_DEPENDS})

set(CMAKE_CXX_STANDARD 14)
add_compile_options(-Wall)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)
link_directories(${catkin_LIBRARY_DIRS})

set(CMAKE_AUTOMOC ON)

if(rviz_QT_VERSION VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 ${rviz_QT_VERSION} EXACT REQUIRED QtCore QtGui)
  include(${QT_USE_FILE})

  qt4_wrap_cpp(MOC_FILES
    include/costmap_cspace_rviz_plugins/c_space_3d_display.h
  )
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5 ${rviz_QT_VERSION} EXACT REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)

  qt5_wrap_cpp(MOC_FILES
    include/costmap_cspace_rviz_plugins/c_space_3d_display.h
  )
endif()

add_definitions(-DQT_NO_KEYWORDS)

add_library(${PROJECT_NAME}
  src/c_space_3d_display.cpp
  ${MOC_FILES}
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(roslint REQUIRED)
  set(ROSLINT_CPP_OPTS "--filter=-runtime/references,-build/c++11")
  roslint_cpp()
  roslint_add_test()
endif()

install(TARGETS
  ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-costmap-cspace-rviz-plugins (0.11.6-1buster) buster; urgency=high

  * Add rviz plugin for costmap_cspace_msgs::CSpace3D (#34 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/34>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 25 Jul 2022 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-costmap-cspace-rviz-plugins
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-noetic-catkin, ros-noetic-costmap-cspace-msgs, ros-noetic-roscpp, ros-noetic-roslint <!nocheck>, ros-noetic-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-costmap-cspace-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-noetic-costmap-cspace-msgs, ros-noetic-roscpp, ros-noetic-rviz
Description: Rviz plugins for costmap_cspace_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-costmap-cspace-rviz-plugins//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-costmap-cspace-rviz-plugins 0.11.7

=== debian/changelog ===
ros-noetic-costmap-cspace-rviz-plugins (0.11.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 19 Jun 2023 00:00:00 -0000

ros-noetic-costmap-cspace-rviz-plugins (0.11.6-1focal) focal; urgency=high

  * Add rviz plugin for costmap_cspace_msgs::CSpace3D (#34 <https://github.com/at-wat/neonavigation_rviz_plugins/issues/34>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 25 Jul 2022 00:00:00 -0000
